## org.opengis.filter.capability
Interface ArithmeticOperators

    public interface ArithmeticOperators

Supported arithmetic operators in a filter capabilities document.

     <xsd:complexType name="ArithmeticOperatorsType">
         <xsd:choice maxOccurs="unbounded">
            <xsd:element ref="ogc:SimpleArithmetic"/>
            <xsd:element name="Functions" type="ogc:FunctionsType"/>
         </xsd:choice>
      </xsd:complexType>

Method Summary
`Functions` `getFunctions()` Provided functions.
`boolean` `hasSimpleArithmetic()` Indicates if simple arithmetic is provided.

Method Detail

### hasSimpleArithmetic

    boolean hasSimpleArithmetic()

  Indicates if simple arithmetic is provided.

       <xsd:element ref="ogc:SimpleArithmetic"/>

### getFunctions

    Functions getFunctions()

  Provided functions.

       <xsd:element name="Functions" type="ogc:FunctionsType"/>

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.